package com.cloud.kicc.common.datasource.annotation;

import com.cloud.kicc.common.datasource.DynamicDataSourceConfiguration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 *<p>
 * 开启动态数据源
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/19
 */
@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@Import(DynamicDataSourceConfiguration.class)
public @interface EnableDynamicDataSource {

}
