package com.cloud.kicc.common.rocketmq.config;

import com.cloud.kicc.common.core.factory.YamlPropertySourceFactory;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

/**
 *<p>
 * RocketMQ配置
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/3/9
 */
@Configuration
@PropertySource(factory = YamlPropertySourceFactory.class, value = "classpath:kicc-rocketmq.yml")
public class RocketMQConfiguration {
}
