package com.cloud.kicc.common.security.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;

/**
 *<p>
 * Central Authentication Service configuration
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/9/16
 */
@Data
@ConfigurationProperties(prefix = "security.cas")
public class CasProperties {

	private String userClass = "com.cloud.kicc.common.data.entity.KiccUser";

	private String identity = "KICC";

}
