package com.cloud.kicc.common.core.constant;

/**
 *<p>
 * 通用常量
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/18
 */
public interface CommonConstants {

	/**
	 * 正常
	 */
	String STATUS_NORMAL = "0";

	/**
	 * 锁定
	 */
	String STATUS_LOCK = "9";

	/**
	 * 编码
	 */
	String UTF8 = "UTF-8";

	/**
	 * JSON 资源
	 */
	String CONTENT_TYPE = "application/json; charset=utf-8";

	/**
	 * 前端工程名
	 */
	String FRONT_END_PROJECT = "kicc-ui";

	/**
	 * 后端工程名
	 */
	String BACK_END_PROJECT = "kicc";

	/**
	 * 当前页
	 */
	String CURRENT = "current";

	/**
	 * size
	 */
	String SIZE = "size";

}
