package com.cloud.kicc.common.core.constant;

/**
 *<p>
 * 服务名称
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/18
 */
public interface ServiceNameConstants {

	/**
	 * 认证服务的SERVICE_ID
	 */
	String AUTH_SERVICE = "kicc-auth";

	/**
	 * SYSTEM模块
	 */
	String SYSTEM_SERVICE = "kicc-system-biz";

	/**
	 * MONITOR模块
	 */
	String MONITOR_SERVICE = "kicc-monitor-biz";

	/**
	 * COMMON模块
	 */
	String COMMON_SERVICE = "kicc-common-biz";

	/**
	 * seata分布式事务演示-订单模块
	 */
	String SEATA_ORDER_SERVICE = "kicc-seata-order";

	/**
	 * seata分布式事务演示-积分模块
	 */
	String SEATA_POINT_SERVICE = "kicc-seata-point";


}
