package com.cloud.kicc.common.seata.props;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 *<p>
 * seata配置
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/3/11
 */
@Data
@ConfigurationProperties(prefix = "seata")
public class SeataProperties {

  private String applicationId;

  private String txServiceGroup;

}
